CFPRIME TUDMDA                                                          TUDMDA      1
C***********************************************************************RIGHTE      1
C*                                                                     *RIGHTE      2
C*        Extended Transient-Midterm Stability Program (ETMSP)         *RIGHTE      3
C*        ====================================================         *RIGHTE      4
C*                                                                     *RIGHTE      5
C*       Copyright (C) (1993) Electric Power Research Institute        *RIGHTE      6
C*                                                                     *RIGHTE      7
C* EPRI reserves all rights in the software and associated             *RIGHTE      8
C* documentation as delivered. The software and its associated         *RIGHTE      9
C* documention or any portion thereof may not be reproduced in any form*RIGHTE     10
C* whatsoever without the consent of EPRI, except as explicity provided*RIGHTE     11
C* for by license. Licensee shall submit a detailed description to EPRI*RIGHTE     12
C* of any changes or modifications to the software within two (2)      *RIGHTE     13
C* months after such changes or modifications are made. At EPRI's sole *RIGHTE     14
C* discretion, the software, as changed or modified, shall be given a  *RIGHTE     15
C* new designation sufficiently different from its then current        *RIGHTE     16
C* designation as to prevent mistake,confusion, or deception as between*RIGHTE     17
C* the current software as changed or modified.                        *RIGHTE     18
C*                                                                     *RIGHTE     19
C* A license under EPRI's rights in the software can be obtained       *RIGHTE     20
C* directly from EPRI.                                                 *RIGHTE     21
C*                                                                     *RIGHTE     22
C* This program and supporting materials may be independently available*RIGHTE     23
C* from Electric Power Software centre (EPSC) for an appropriate       *RIGHTE     24
C* distribution fee. The EPSC is a service of                          *RIGHTE     25
C*                                                                     *RIGHTE     26
C*                    Power Computing Company                          *RIGHTE     27
C*                    1930 Hi Line                                     *RIGHTE     28
C*                    Dallas, Tx 75207                                 *RIGHTE     29
C*                                                                     *RIGHTE     30
C* NEITHER EPRI, ANY MEMBER OF EPRI, NOR ANY PERSON OR  ORGANIZATION   *RIGHTE     31
C* ACTING ON BEHAVE OF THEM:                                           *RIGHTE     32
C*                                                                     *RIGHTE     33
C* 1. MAKE ANY WARRANTY OR REPRESENTATION WHATSOEVER, EXPRESS OR       *RIGHTE     34
C*    IMPLIED, INCLUDING ANY WARRANTY OF MERCHANTABILITY OR FITNESS OR *RIGHTE     35
C*    ANY PURPOSE WITH RESPECT TO THE SOFTWARE OR ITS ASSOCIATED       *RIGHTE     36
C*    DOCUMENTATION; OR                                                *RIGHTE     37
C*                                                                     *RIGHTE     38
C* 2. ASSUMES ANY LIABILITY WHATSOEVER WITH RESPECT TO ANY USE OF THE  *RIGHTE     39
C*    SOFTWARE OR ITS ASSOCIATED DOCUMENTATION OR ANY PORTION THEREOF  *RIGHTE     40
C*    OR WITH RESPECT TO ANY DAMAGES WHICH MAY RESULT FROM SUCH USE.   *RIGHTE     41
C*                                                                     *RIGHTE     42
C* THIS NOTICE MAY NOT BE REMOVED FROM THE SOFTWARE BY ANY USER        *RIGHTE     43
C* THEREOF.                                                            *RIGHTE     44
C*                                                                     *RIGHTE     45
C***********************************************************************RIGHTE     46
      SUBROUTINE TUDMDA(NUF,IUX,IL,JEE)                                 TUDMDA      3
CD                                                                      TUDMDA      4
CD    TO TABULATE USER DEFINED MODEL DATA.                              TUDMDA      5
CD                                                                      TUDMDA      6
      INCLUDE 'PARX.INS'                                                TUDMDA      7
      INCLUDE 'CNIPTR.INS'                                              TUDMDA      8
      INCLUDE 'CNMDAT.INS'                                              TUDMDA      9
      INCLUDE 'CNSTN.INS'                                               TUDMDA     10
      INCLUDE 'CNB19.INS'                                               TUDMDA     11
      INCLUDE 'CNNNEW.INS'                                              TUDMDA     12
      INCLUDE 'CNUDM.INS'                                               TUDMDA     13
      INCLUDE 'CNFLAG.INS'                                              TUDMDA     14
      INCLUDE 'CNUDIC.INS'                                              TUDMDA     15
C                                                                       TUDMDA     16
      CHARACTER*80 MSG                                                  TUDMDA     17
      CHARACTER*4 IENAME(20),IGNAME(20),ISNAME(20)                      TUDMDA     18
     &,IRNAME(20),ITNAME(20),IPNAME(20),IDNAME(20),IUNAME(60)           TUDMDA     19
     *,IXNAME(80),CNAM1(3),CNAM2(3)                                     TUDMDA     20
      CHARACTER*3 BTYPE(71),CLTYP(3)                                    TUDMDA     21
      CHARACTER*2 KCKT                                                  TUDMDA     22
      CHARACTER*4 CKID                                                  TUDMDA     23
      CHARACTER*12 LPGNAM                                               TUDMDA     24
      DIMENSION IC(3),RVALUE(3)                                         TUDMDA     25
      INTEGER*4 JCKID                                                   TUDMDA     26
      EQUIVALENCE (JCKID,CKID)                                          TUDMDA     27
      EQUIVALENCE (IUNAME(1),IXNAME(21))                                TUDMDA     28
C                                                                       TUDMDA     29
      DATA BTYPE/' GN',' IN',' PI',' WO',' LL',' SW',' HV',' LV','MUL', TUDMDA     30
     1           'DIV','IVL','DEL','SIN','COS','TAN','ASN','ACS','ATN', TUDMDA     31
     2           'EXP','LOG','ABS',' SS','NLF',' TF','DIG','A/D','LSW', TUDMDA     32
     3           'TIM','HYS','CTR',' E1',' E2',' E3',' E4',' E5',' E6', TUDMDA     33
     4           ' E7',' E8','E15','E30','E31','E34','RHL',' T1',' T4', TUDMDA     34
     5           'T20','T22','OF2','OF1',' LF','SD1','SD2','SD3','SD4', TUDMDA     35
     6           'SD5','SD6','SD7','SD8','SD9','   ','   ','   ','   ', TUDMDA     36
     7           '   ','   ','   ','   ','   ','POW','COM',' FL'/       TUDMDA     37
C                                                                       TUDMDA     38
      DATA IENAME/'  VC','  AC','PACC','  VT','  AT','  VD','  VQ',     TUDMDA     39
     1            '  ID','  IQ','  PT','  QT','  DW','CONT','TIME',     TUDMDA     40
     2            ' EFD',' IFD','  VS','  VU','  VF','VREF'/            TUDMDA     41
C                                                                       TUDMDA     42
      DATA IGNAME/'  VG',' VG2','PACC','  VT','  AT','  VD','  VQ',     TUDMDA     43
     1            '  ID','  IQ','  PT','  QT','  DW','CONT','TIME',     TUDMDA     44
     2            ' EFD',' IFD','    ','    ','    ','VREF'/            TUDMDA     45
C                                                                       TUDMDA     46
      DATA ISNAME/'ISVC','ITCR','QSVC','QTCR','BSVC','BTCR','VSVC',     TUDMDA     47
     1            '    ','ASVC','    ','STCR','SSVC','CONT','TIME',     TUDMDA     48
     2            '    ','    ','    ','    ','    ','VREF'/            TUDMDA     49
C                                                                       TUDMDA     50
      DATA IRNAME/'IRAN','ITCR','QRAN','QTCR','BRAN','BTCR','  V1',     TUDMDA     51
     1            '  V2','  A1','  A2','STCR','SRAN','CONT','TIME',     TUDMDA     52
     2            'GRAN','PRAN','XRAN','    ','    ','VREF'/            TUDMDA     53
C                                                                       TUDMDA     54
      DATA ITNAME/'  I1','  I2','  P1','  P2','TSTC','    ','  V1',     TUDMDA     55
     1            '  V2','  A1','  A2','SSTC','    ','CONT','TIME',     TUDMDA     56
     2            '  Q1','  Q2','    ','    ','    ','VREF'/            TUDMDA     57
C                                                                       TUDMDA     58
      DATA IPNAME/'  I1','  I2','  P1','  P2','    ','TSPS','  V1',     TUDMDA     59
     1            '  V2','  A1','  A2','SSTC','    ','CONT','TIME',     TUDMDA     60
     2            '  Q1','  Q2','    ','    ','    ','VREF'/            TUDMDA     61
C                                                                       TUDMDA     62
      DATA IDNAME/'ISDB','    ','MSDB','    ','YSDB','    ','VSDB',     TUDMDA     63
     1            '    ','ASDB','    ','    ','SSDB','CONT','TIME',     TUDMDA     64
     2            '    ','    ','    ','    ','    ','    '/            TUDMDA     65
C                                                                       TUDMDA     66
      DATA IUNAME/'VR01','VR02','VR03','VR04','VR05','VR06','VR07',     TUDMDA     67
     1            'VR08','VR09','VR10','AR01','AR02','AR03','AR04',     TUDMDA     68
     2            'AR05','AR06','AR07','AR08','AR09','AR10','IR01',     TUDMDA     69
     3            'IR02','IR03','IR04','IR05','IR06','IR07','IR08',     TUDMDA     70
     4            'IR09','IR10','PR01','PR02','PR03','PR04','PR05',     TUDMDA     71
     5            'PR06','PR07','PR08','PR09','PR10','QR01','QR02',     TUDMDA     72
     6            'QR03','QR04','QR05','QR06','QR07','QR08','QR09',     TUDMDA     73
     7            'QR10','PF01','PF02','PF03','PF04','PF05','PF06',     TUDMDA     74
     8            'PF07','PF08','PF09','PF10'/                          TUDMDA     75
C                                                                       TUDMDA     76
      LDEB=(JDEB(261).NE.0)                                             TUDMDA     77
C                                                                       TUDMDA     78
      IF(NUF.LE.3) THEN                                                 TUDMDA     79
         DO 100 J=1,20                                                  TUDMDA     80
         IXNAME(J)=IENAME(J)                                            TUDMDA     81
  100    CONTINUE                                                       TUDMDA     82
      ELSEIF(NUF.EQ.4) THEN                                             TUDMDA     83
         DO 110 J=1,20                                                  TUDMDA     84
         IXNAME(J)=IGNAME(J)                                            TUDMDA     85
  110    CONTINUE                                                       TUDMDA     86
      ELSEIF(NUF.EQ.5) THEN                                             TUDMDA     87
         DO 120 J=1,20                                                  TUDMDA     88
         IXNAME(J)=ISNAME(J)                                            TUDMDA     89
  120    CONTINUE                                                       TUDMDA     90
      ELSEIF(NUF.EQ.6) THEN                                             TUDMDA     91
         DO 130 J=1,20                                                  TUDMDA     92
         IXNAME(J)=IRNAME(J)                                            TUDMDA     93
  130    CONTINUE                                                       TUDMDA     94
      ELSEIF(NUF.EQ.7) THEN                                             TUDMDA     95
         DO 140 J=1,20                                                  TUDMDA     96
         IXNAME(J)=ITNAME(J)                                            TUDMDA     97
  140    CONTINUE                                                       TUDMDA     98
      ELSEIF(NUF.EQ.8) THEN                                             TUDMDA     99
         DO 150 J=1,20                                                  TUDMDA    100
         IXNAME(J)=IPNAME(J)                                            TUDMDA    101
  150    CONTINUE                                                       TUDMDA    102
      ELSEIF(NUF.EQ.9) THEN                                             TUDMDA    103
         DO 160 J=1,20                                                  TUDMDA    104
         IXNAME(J)=IDNAME(J)                                            TUDMDA    105
  160    CONTINUE                                                       TUDMDA    106
      ENDIF                                                             TUDMDA    107
C                                                                       TUDMDA    108
C     SET THE POINTERS                                                  TUDMDA    109
C                                                                       TUDMDA    110
      NRBUS=IDDAT(JEE)                                                  TUDMDA    111
      JE2=JEE+3*NRBUS+1                                                 TUDMDA    112
      NRLIN=IDDAT(JE2)                                                  TUDMDA    113
      JE3=JE2+4*NRLIN+1                                                 TUDMDA    114
      NUDB=IDDAT(JE3)                                                   TUDMDA    115
      JE4=JE3+17*NUDB+1                                                 TUDMDA    116
      JE5=JE4+3*NUDB+1                                                  TUDMDA    117
      INTUD=IDDAT(JE5)                                                  TUDMDA    118
      JE6=JE5+2*INTUD+1                                                 TUDMDA    119
      INPUD=IDDAT(JE6)                                                  TUDMDA    120
      JE7=JE6+3*INPUD                                                   TUDMDA    121
      IBEND=IDDAT(JE7+1)                                                TUDMDA    122
C                                                                       TUDMDA    123
      IF(NRBUS.NE.0) THEN                                               TUDMDA    124
         WRITE(IUX,1175)                                                TUDMDA    125
         DO 170 I=1,NRBUS                                               TUDMDA    126
         IBUS=IDDAT(JEE+3*I-2)                                          TUDMDA    127
         M3=IBUS*3                                                      TUDMDA    128
         WRITE(IUX,1180) I,NOLD(IBUS),INAME(M3-2),INAME(M3-1),INAME(M3) TUDMDA    129
  170    CONTINUE                                                       TUDMDA    130
      ENDIF                                                             TUDMDA    131
      IF(NRLIN.NE.0) THEN                                               TUDMDA    132
         WRITE(IUX,1195)                                                TUDMDA    133
         NR4=JE2-4                                                      TUDMDA    134
         DO 180 I=1,NRLIN                                               TUDMDA    135
         NR4=NR4+4                                                      TUDMDA    136
         IBUS1O=IDDAT(NR4+1)                                            TUDMDA    137
         IBUS1N=NNEW(IBUS1O)                                            TUDMDA    138
         IBUS2O=IDDAT(NR4+2)                                            TUDMDA    139
         IBUS2N=NNEW(IBUS2O)                                            TUDMDA    140
         JCKID=IDDAT(NR4+3)                                             TUDMDA    141
         KCKT(1:2)=CKID(3:4)                                            TUDMDA    142
         M3=IBUS1N*3                                                    TUDMDA    143
         N3=IBUS2N*3                                                    TUDMDA    144
         WRITE(IUX,1200) I,IBUS1O,INAME(M3-2),INAME(M3-1)               TUDMDA    145
     &   ,INAME(M3),IBUS2O,INAME(N3-2),INAME(N3-1),INAME(N3),KCKT       TUDMDA    146
  180    CONTINUE                                                       TUDMDA    147
      ENDIF                                                             TUDMDA    148
C                                                                       TUDMDA    149
      WRITE(IUX,1070) NUDB                                              TUDMDA    150
      WRITE(IUX,2000)                                                   TUDMDA    151
C                                                                       TUDMDA    152
      JEB=JE3-17                                                        TUDMDA    153
      DO 210 I=1,NUDB                                                   TUDMDA    154
      JEB=JEB+17                                                        TUDMDA    155
      NBINT1=IDDAT(JEB+1)                                               TUDMDA    156
      NBINT2=IDDAT(JEB+17)                                              TUDMDA    157
      LTYP=IDDAT(JEB+2)                                                 TUDMDA    158
      BLTYP=BTYPE(LTYP)                                                 TUDMDA    159
      IF(LTYP.EQ.1) THEN                                                TUDMDA    160
         IF(IDDAT(JEB+4).EQ.0.AND.IDDAT(JEB+5).EQ.0) THEN               TUDMDA    161
            WRITE(IUX,2530) I,BLNAM1,BLNAM2,BLTYP                       TUDMDA    162
     *      ,DDAT(JEB+3)                                                TUDMDA    163
         ELSE                                                           TUDMDA    164
            WRITE(IUX,2010) I,BLNAM1,BLNAM2,BLTYP                       TUDMDA    165
     *      ,(DDAT(JEB+LP),LP=3,5)                                      TUDMDA    166
         ENDIF                                                          TUDMDA    167
      ELSEIF(LTYP.EQ.2) THEN                                            TUDMDA    168
         IF(IDDAT(JEB+4).EQ.0.AND.IDDAT(JEB+5).EQ.0) THEN               TUDMDA    169
            WRITE(IUX,2540) I,BLNAM1,BLNAM2,BLTYP                       TUDMDA    170
     *      ,DDAT(JEB+3),DDAT(JEB+6)                                    TUDMDA    171
         ELSE                                                           TUDMDA    172
            WRITE(IUX,2020) I,BLNAM1,BLNAM2,BLTYP                       TUDMDA    173
     *      ,(DDAT(JEB+LP),LP=3,6)                                      TUDMDA    174
         ENDIF                                                          TUDMDA    175
      ELSEIF(LTYP.EQ.3) THEN                                            TUDMDA    176
         IF(IDDAT(JEB+5).EQ.0.AND.IDDAT(JEB+6).EQ.0) THEN               TUDMDA    177
            WRITE(IUX,2550) I,BLNAM1,BLNAM2,BLTYP                       TUDMDA    178
     *      ,DDAT(JEB+3),DDAT(JEB+4),DDAT(JEB+7)                        TUDMDA    179
         ELSE                                                           TUDMDA    180
             WRITE(IUX,2030) I,BLNAM1,BLNAM2,BLTYP                      TUDMDA    181
     *      ,(DDAT(JEB+LP),LP=3,7)                                      TUDMDA    182
         ENDIF                                                          TUDMDA    183
      ELSEIF(LTYP.EQ.4) THEN                                            TUDMDA    184
         WRITE(IUX,2040) I,BLNAM1,BLNAM2,BLTYP                          TUDMDA    185
     *   ,(DDAT(JEB+LP),LP=3,4)                                         TUDMDA    186
      ELSEIF(LTYP.EQ.5) THEN                                            TUDMDA    187
         IF(IDDAT(JEB+6).EQ.0.AND.IDDAT(JEB+7).EQ.0) THEN               TUDMDA    188
            WRITE(IUX,2560) I,BLNAM1,BLNAM2,BLTYP                       TUDMDA    189
     *      ,(DDAT(JEB+LP),LP=3,5)                                      TUDMDA    190
         ELSE                                                           TUDMDA    191
            WRITE(IUX,2050) I,BLNAM1,BLNAM2,BLTYP                       TUDMDA    192
     *      ,(DDAT(JEB+LP),LP=3,7)                                      TUDMDA    193
         ENDIF                                                          TUDMDA    194
      ELSEIF(LTYP.EQ.6) THEN                                            TUDMDA    195
         WRITE(IUX,2060) I,BLNAM1,BLNAM2,BLTYP,DDAT(JEB+3)              TUDMDA    196
      ELSEIF(LTYP.EQ.12) THEN                                           TUDMDA    197
         WRITE(IUX,2080) I,BLNAM1,BLNAM2,BLTYP                          TUDMDA    198
     *   ,DDAT(JEB+3),DDAT(JEB+4)                                       TUDMDA    199
      ELSEIF(LTYP.GE.7.AND.LTYP.LE.21) THEN                             TUDMDA    200
         WRITE(IUX,2070) I,BLNAM1,BLNAM2,BLTYP                          TUDMDA    201
      ELSEIF(LTYP.EQ.22) THEN                                           TUDMDA    202
         NAA=IDDAT(JEB+3)                                               TUDMDA    203
         NBB=IDDAT(JEB+4)                                               TUDMDA    204
         JLS=IDDAT(JEB+5)                                               TUDMDA    205
         WRITE(IUX,2090) I,BLNAM1,BLNAM2,BLTYP,NAA,NBB                  TUDMDA    206
         DO 190 LP=1,NAA                                                TUDMDA    207
         WRITE(IUX,2100) (SSMAT(JLS+II),II=1,NAA)                       TUDMDA    208
         JLS=JLS+NAA                                                    TUDMDA    209
  190    CONTINUE                                                       TUDMDA    210
         DO 200 LP=1,NAA                                                TUDMDA    211
         WRITE(IUX,2110) (SSMAT(JLS+II),II=1,NBB)                       TUDMDA    212
         JLS=JLS+NBB                                                    TUDMDA    213
  200    CONTINUE                                                       TUDMDA    214
         WRITE(IUX,2120) (SSMAT(JLS+II),II=1,NAA)                       TUDMDA    215
         JLS=JLS+NAA                                                    TUDMDA    216
         WRITE(IUX,2130) (SSMAT(JLS+II),II=1,NBB)                       TUDMDA    217
      ELSEIF(LTYP.EQ.23) THEN                                           TUDMDA    218
         WRITE(IUX,2070) I,BLNAM1,BLNAM2,BLTYP                          TUDMDA    219
         WRITE(IUX,2140) (DDAT(JEB+2*II-1),II=2,7)                      TUDMDA    220
     *   ,(DDAT(JEB+2*II),II=2,7)                                       TUDMDA    221
      ELSEIF(LTYP.EQ.24) THEN                                           TUDMDA    222
         NS=IDDAT(JEB+3)                                                TUDMDA    223
         WRITE(IUX,2150) I,BLNAM1,BLNAM2,BLTYP,NS                       TUDMDA    224
         WRITE(IUX,2160) (DDAT(JEB+II),II=4,NS+3)                       TUDMDA    225
         WRITE(IUX,2170) (DDAT(JEB+II),II=9,NS+9)                       TUDMDA    226
      ELSEIF(LTYP.EQ.25) THEN                                           TUDMDA    227
         JLS=IDDAT(JEB+3)                                               TUDMDA    228
         WRITE(IUX,2180) I,BLNAM1,BLNAM2,BLTYP,SSMAT(JLS+13)            TUDMDA    229
         WRITE(IUX,2190) (DDAT(JEB+II),II=4,14)                         TUDMDA    230
      ELSEIF(LTYP.EQ.26) THEN                                           TUDMDA    231
         NX=IDDAT(JEB+3)                                                TUDMDA    232
         WRITE(IUX,2200) I,BLNAM1,BLNAM2,BLTYP,NX                       TUDMDA    233
         WRITE(IUX,2210) (DDAT(JEB+II),II=4,NX+3)                       TUDMDA    234
      ELSEIF(LTYP.EQ.27.OR.LTYP.EQ.28) THEN                             TUDMDA    235
         WRITE(IUX,2220) I,BLNAM1,BLNAM2,BLTYP,DDAT(JEB+3)              TUDMDA    236
      ELSEIF(LTYP.EQ.29) THEN                                           TUDMDA    237
         WRITE(IUX,2070) I,BLNAM1,BLNAM2,BLTYP                          TUDMDA    238
         WRITE(IUX,2230) (DDAT(JEB+II),II=3,7),(DDAT(JEB+II),II=9,13)   TUDMDA    239
      ELSEIF(LTYP.EQ.30) THEN                                           TUDMDA    240
         WRITE(IUX,2240) I,BLNAM1,BLNAM2,BLTYP,(DDAT(JEB+II),II=3,6)    TUDMDA    241
     *   ,(IDDAT(JEB+II),II=7,9)                                        TUDMDA    242
      ELSEIF(LTYP.EQ.31.OR.LTYP.EQ.32) THEN                             TUDMDA    243
         IF(IDDAT(JEB+7).EQ.0)THEN                                      TUDMDA    244
            WRITE(IUX,2250) I,BLNAM1,BLNAM2,BLTYP                       TUDMDA    245
     *      ,(DDAT(JEB+II),II=3,6),DDAT(JEB+8)                          TUDMDA    246
         ELSE                                                           TUDMDA    247
            WRITE(IUX,2260) I,BLNAM1,BLNAM2,BLTYP                       TUDMDA    248
     *      ,(DDAT(JEB+II),II=3,8)                                      TUDMDA    249
         ENDIF                                                          TUDMDA    250
      ELSEIF(LTYP.EQ.33.OR.LTYP.EQ.35) THEN                             TUDMDA    251
         IF(IDDAT(JEB+7).EQ.0)THEN                                      TUDMDA    252
            WRITE(IUX,2270) I,BLNAM1,BLNAM2,BLTYP                       TUDMDA    253
     *      ,(DDAT(JEB+II),II=3,6),(DDAT(JEB+II),II=8,10)               TUDMDA    254
     *      ,DDAT(JEB+13)                                               TUDMDA    255
         ELSE                                                           TUDMDA    256
            WRITE(IUX,2280) I,BLNAM1,BLNAM2,BLTYP                       TUDMDA    257
     *      ,(DDAT(JEB+II),II=3,10),DDAT(JEB+13)                        TUDMDA    258
         ENDIF                                                          TUDMDA    259
      ELSEIF(LTYP.EQ.34) THEN                                           TUDMDA    260
         IF(IDDAT(JEB+7).EQ.0)THEN                                      TUDMDA    261
            WRITE(IUX,2290) I,BLNAM1,BLNAM2,BLTYP                       TUDMDA    262
     *      ,(DDAT(JEB+II),II=3,6),(DDAT(JEB+II),II=8,11)               TUDMDA    263
     *      ,(DDAT(JEB+II),II=13,14)                                    TUDMDA    264
         ELSE                                                           TUDMDA    265
            WRITE(IUX,2300) I,BLNAM1,BLNAM2,BLTYP                       TUDMDA    266
     *      ,(DDAT(JEB+II),II=3,11),(DDAT(JEB+II),II=13,14)             TUDMDA    267
         ENDIF                                                          TUDMDA    268
      ELSEIF(LTYP.EQ.36) THEN                                           TUDMDA    269
         IF(IDDAT(JEB+7).EQ.0)THEN                                      TUDMDA    270
            WRITE(IUX,2291) I,BLNAM1,BLNAM2,BLTYP                       TUDMDA    271
     *      ,(DDAT(JEB+II),II=3,6),(DDAT(JEB+II),II=8,11)               TUDMDA    272
     *      ,DDAT(JEB+13)                                               TUDMDA    273
         ELSE                                                           TUDMDA    274
            WRITE(IUX,2301) I,BLNAM1,BLNAM2,BLTYP                       TUDMDA    275
     *      ,(DDAT(JEB+II),II=3,11),DDAT(JEB+13)                        TUDMDA    276
         ENDIF                                                          TUDMDA    277
      ELSEIF(LTYP.EQ.37) THEN                                           TUDMDA    278
         WRITE(IUX,2310) I,BLNAM1,BLNAM2,BLTYP                          TUDMDA    279
     *   ,(DDAT(JEB+II),II=3,8)                                         TUDMDA    280
      ELSEIF(LTYP.EQ.38) THEN                                           TUDMDA    281
         WRITE(IUX,2320) I,BLNAM1,BLNAM2,BLTYP                          TUDMDA    282
     *   ,(DDAT(JEB+II),II=3,8),(DDAT(JEB+II),II=11,12)                 TUDMDA    283
      ELSEIF(LTYP.EQ.39) THEN                                           TUDMDA    284
         WRITE(IUX,2330) I,BLNAM1,BLNAM2,BLTYP                          TUDMDA    285
     *   ,(DDAT(JEB+II),II=5,6)                                         TUDMDA    286
      ELSEIF(LTYP.EQ.40) THEN                                           TUDMDA    287
         WRITE(IUX,2340) I,BLNAM1,BLNAM2,BLTYP                          TUDMDA    288
     *   ,(DDAT(JEB+II),II=3,8)                                         TUDMDA    289
      ELSEIF(LTYP.EQ.41) THEN                                           TUDMDA    290
         WRITE(IUX,2350) I,BLNAM1,BLNAM2,BLTYP                          TUDMDA    291
     *   ,(DDAT(JEB+II),II=3,6),DDAT(JEB+8)                             TUDMDA    292
      ELSEIF(LTYP.EQ.42) THEN                                           TUDMDA    293
         WRITE(IUX,2360) I,BLNAM1,BLNAM2,BLTYP                          TUDMDA    294
     *   ,(DDAT(JEB+II),II=5,6),DDAT(JEB+8)                             TUDMDA    295
      ELSEIF(LTYP.EQ.43) THEN                                           TUDMDA    296
         WRITE(IUX,2370) I,BLNAM1,BLNAM2,BLTYP                          TUDMDA    297
     *   ,(DDAT(JEB+JJ),JJ=3,5)                                         TUDMDA    298
      ELSEIF(LTYP.EQ.44) THEN                                           TUDMDA    299
         JLS=IDDAT(JEB+14)                                              TUDMDA    300
         WRITE(IUX,2380) I,BLNAM1,BLNAM2,BLTYP                          TUDMDA    301
     *   ,(DDAT(JEB+LK),LK=3,8)                                         TUDMDA    302
     &   ,(DDAT(JEB+LK),LK=9,13),SSMAT(JLS+1)                           TUDMDA    303
         WRITE(IUX,2400)                                                TUDMDA    304
         WRITE(IUX,2390) (SSMAT(JLS+II),II=3,6)                         TUDMDA    305
         WRITE(IUX,2410)                                                TUDMDA    306
         WRITE(IUX,2390) (SSMAT(JLS+II),II=7,10)                        TUDMDA    307
      ELSEIF(LTYP.EQ.45) THEN                                           TUDMDA    308
         LPGLFN=IDDAT(JEB+13)                                           TUDMDA    309
         JCKID=IDDAT(JEB+14)                                            TUDMDA    310
         IF(KLFO.EQ.0) THEN                                             TUDMDA    311
            WRITE(IUX,2420) I,BLNAM1,BLNAM2,BLTYP,(DDAT(JEB+J)          TUDMDA    312
     &      ,J=3,6),(DDAT(JEB+II),II=9,12),LPGLFN,CKID                  TUDMDA    313
         ELSE                                                           TUDMDA    314
            CALL CHKNAM(LPGNAM,LPGLFN)                                  TUDMDA    315
            WRITE(IUX,2421) I,BLNAM1,BLNAM2,BLTYP,(DDAT(JEB+J)          TUDMDA    316
     &      ,J=3,6),(DDAT(JEB+II),II=9,12),LPGNAM,CKID                  TUDMDA    317
         ENDIF                                                          TUDMDA    318
      ELSEIF(LTYP.EQ.46) THEN                                           TUDMDA    319
         JLS=IDDAT(JEB+14)                                              TUDMDA    320
         WRITE(IUX,2430) I,BLNAM1,BLNAM2,BLTYP                          TUDMDA    321
     &   ,(DDAT(JEB+II),II=3,8),(SSMAT(JLS+II),II=1,6)                  TUDMDA    322
      ELSEIF(LTYP.EQ.47) THEN                                           TUDMDA    323
         IF(IDDAT(JEB+7).EQ.0.AND.IDDAT(JEB+8).EQ.0)THEN                TUDMDA    324
            WRITE(IUX,2570) I,BLNAM1,BLNAM2,BLTYP                       TUDMDA    325
     *      ,(DDAT(JEB+II),II=3,6),DDAT(JEB+9)                          TUDMDA    326
         ELSE                                                           TUDMDA    327
            WRITE(IUX,2440) I,BLNAM1,BLNAM2,BLTYP                       TUDMDA    328
     *      ,(DDAT(JEB+II),II=3,9)                                      TUDMDA    329
         ENDIF                                                          TUDMDA    330
      ELSEIF(LTYP.EQ.48) THEN                                           TUDMDA    331
         WRITE(IUX,2450) I,BLNAM1,BLNAM2,BLTYP                          TUDMDA    332
     *   ,(DDAT(JEB+JJ),JJ=3,7)                                         TUDMDA    333
      ELSEIF(LTYP.EQ.49) THEN                                           TUDMDA    334
         WRITE(IUX,2460) I,BLNAM1,BLNAM2,BLTYP                          TUDMDA    335
     &   ,(DDAT(JEB+JJ),JJ=3,8)                                         TUDMDA    336
      ELSEIF(LTYP.EQ.50) THEN                                           TUDMDA    337
         WRITE(IUX,2070) I,BLNAM1,BLNAM2,BLTYP                          TUDMDA    338
      ELSEIF(LTYP.EQ.51) THEN                                           TUDMDA    339
         WRITE(IUX,2470) I,BLNAM1,BLNAM2,BLTYP                          TUDMDA    340
     *   ,DDAT(JEB+3),DDAT(JEB+4)                                       TUDMDA    341
      ELSEIF(LTYP.EQ.52) THEN                                           TUDMDA    342
         WRITE(IUX,2470) I,BLNAM1,BLNAM2,BLTYP                          TUDMDA    343
     *   ,DDAT(JEB+3),DDAT(JEB+4)                                       TUDMDA    344
      ELSEIF(LTYP.EQ.53) THEN                                           TUDMDA    345
         WRITE(IUX,2480) I,BLNAM1,BLNAM2,BLTYP                          TUDMDA    346
     &   ,(DDAT(JEB+JJ),JJ=3,7),IDDAT(JEB+8)                            TUDMDA    347
     *   ,(DDAT(JEB+JJ),JJ=9,10)                                        TUDMDA    348
      ELSEIF(LTYP.EQ.54) THEN                                           TUDMDA    349
         WRITE(IUX,2490) I,BLNAM1,BLNAM2,BLTYP                          TUDMDA    350
     *   ,DDAT(JEB+3),DDAT(JEB+4),IDDAT(JEB+5),IDDAT(JEB+6)             TUDMDA    351
      ELSEIF(LTYP.EQ.55) THEN                                           TUDMDA    352
         WRITE(IUX,2500) I,BLNAM1,BLNAM2,BLTYP                          TUDMDA    353
     *   ,(DDAT(JEB+JJ),JJ=3,5),IDDAT(JEB+6),IDDAT(JEB+7)               TUDMDA    354
      ELSEIF(LTYP.EQ.56) THEN                                           TUDMDA    355
         WRITE(IUX,2510) I,BLNAM1,BLNAM2,BLTYP                          TUDMDA    356
     *   ,(DDAT(JEB+JJ),JJ=3,5),IDDAT(JEB+6),IDDAT(JEB+7)               TUDMDA    357
      ELSEIF(LTYP.EQ.57) THEN                                           TUDMDA    358
         WRITE(IUX,2471) I,BLNAM1,BLNAM2,BLTYP                          TUDMDA    359
     &   ,(DDAT(JEB+JJ),JJ=3,7)                                         TUDMDA    360
      ELSEIF(LTYP.EQ.58) THEN                                           TUDMDA    361
         WRITE(IUX,2511) I,BLNAM1,BLNAM2,BLTYP                          TUDMDA    362
     *   ,(DDAT(JEB+JJ),JJ=3,5),(IDDAT(JEB+JJ),JJ=6,8)                  TUDMDA    363
      ELSEIF(LTYP.EQ.59) THEN                                           TUDMDA    364
         WRITE(IUX,2512) I,BLNAM1,BLNAM2,BLTYP                          TUDMDA    365
     *   ,(DDAT(JEB+JJ),JJ=3,5),(IDDAT(JEB+JJ),JJ=6,8)                  TUDMDA    366
      ELSEIF(LTYP.EQ.69) THEN                                           TUDMDA    367
         WRITE(IUX,2513) I,BLNAM1,BLNAM2,BLTYP                          TUDMDA    368
     *   ,(DDAT(JEB+JJ),JJ=3,4)                                         TUDMDA    369
      ELSEIF(LTYP.EQ.70) THEN                                           TUDMDA    370
         WRITE(IUX,2514) I,BLNAM1,BLNAM2,BLTYP                          TUDMDA    371
     *   ,(DDAT(JEB+JJ),JJ=3,4),(IDDAT(JEB+JJ),JJ=5,7)                  TUDMDA    372
      ELSEIF(LTYP.EQ.71) THEN                                           TUDMDA    373
         WRITE(IUX,2520) I,BLNAM1,BLNAM2,BLTYP                          TUDMDA    374
     &   ,(DDAT(JEB+JJ),JJ=3,7),(DDAT(JEB+JJ),JJ=9,12)                  TUDMDA    375
      ELSE                                                              TUDMDA    376
         MSG='TUDMDA: 1'                                                TUDMDA    377
         CALL ASTOP(MSG,9)                                              TUDMDA    378
      ENDIF                                                             TUDMDA    379
  210 CONTINUE                                                          TUDMDA    380
C                                                                       TUDMDA    381
C     PRINT BLOCK INTERCONECTIONS, INPUTS, AND OUTPUT                   TUDMDA    382
C                                                                       TUDMDA    383
      WRITE(IUX,1080) (IDDAT(JE5+2*LL-1),IDDAT(JE5+2*LL),LL=1,INTUD)    TUDMDA    384
      WRITE(IUX,1090) (IDDAT(JE6+3*LL-2),IXNAME(IDDAT(JE6+3*LL-1))      TUDMDA    385
     *,DDAT(JE6+3*LL),LL=1,INPUD)                                       TUDMDA    386
      IF(NUF.EQ.2) THEN                                                 TUDMDA    387
         IOUT2=IDDAT(JE7+2)                                             TUDMDA    388
         WRITE(IUX,1020) IBEND                                          TUDMDA    389
         IF(IOUT2.NE.0) WRITE(IUX,1060) IOUT2                           TUDMDA    390
      ELSE                                                              TUDMDA    391
         WRITE(IUX,1100) IBEND                                          TUDMDA    392
      ENDIF                                                             TUDMDA    393
C                                                                       TUDMDA    394
      RETURN                                                            TUDMDA    395
C                                                                       TUDMDA    396
 1020 FORMAT(/,' PSS OUTPUT BLOCK: ',I2,/)                              TUDMDA    397
 1060 FORMAT(/,' UEL OUTPUT BLOCK: ',I2,/)                              TUDMDA    398
 1070 FORMAT(/,5X,' USER DEFINED BLOCKS IN THE ENTERED ORDER ',/,       TUDMDA    399
     &'      ----------------------------------------',//,              TUDMDA    400
     &' NUMBER OF BLOCKS =',I2,/)                                       TUDMDA    401
 1080 FORMAT(/,' INTERCONECTION OF BLOCKS:',//,1X                       TUDMDA    402
     *,7(' FR BLOCK TO BLOCK'),/,1X,7(' -------- --------'),/           TUDMDA    403
     *,7(2I9))                                                          TUDMDA    404
 1090 FORMAT(/,' INPUTS TO BLOCKS:',//,6(' BLOCK# INPUT   GAIN  ')      TUDMDA    405
     *,/,6(' ------ ----- --------'),/,6(I5,4X,A4,F9.3))                TUDMDA    406
 1100 FORMAT(/,' OUTPUT BLOCK# = ',I2,/)                                TUDMDA    407
 1175 FORMAT(/,5X,                                                      TUDMDA    408
     &'REMOTE BUS  BUS# BUS NAME    ',/,5X,                             TUDMDA    409
     &'---------- ----- ------------')                                  TUDMDA    410
 1180 FORMAT(13X,I2,1X,I5,1X,3A4)                                       TUDMDA    411
 1195 FORMAT(/,5X,                                                      TUDMDA    412
     &'REMOTE LINE FR BUS BUS NAME     TO BUS BUS NAME     CID',/,5X,   TUDMDA    413
     &'----------- ------ ------------ ------ ------------ ---')        TUDMDA    414
 1200 FORMAT(14X,I2,2X,I5,1X,3A4,2X,I5,1X,3A4,2X,A2)                    TUDMDA    415
 2000 FORMAT(' BLOCK# BLOCK NAME BLOCK TYPE',6(' BLOCK INPUT DATA')     TUDMDA    416
     *,/,' ------ ---------- ----------',6(' ----------------'))        TUDMDA    417
 2010 FORMAT(1X,I4,4X,2A4,5X,A3,7X,'GAIN=',F8.3,5X,'MAX=',F8.3          TUDMDA    418
     *,5X,'MIN=',F8.3)                                                  TUDMDA    419
 2020 FORMAT(1X,I4,4X,2A4,5X,A3,7X,'GAIN=',F8.3,5X,'MAX=',F8.3          TUDMDA    420
     *,5X,'MIN=',F8.3,4X,'INIT=',F8.3)                                  TUDMDA    421
 2030 FORMAT(1X,I4,4X,2A4,5X,A3,7X,'GAIN=',F8.3,7X,'T=',F8.3            TUDMDA    422
     *,5X,'MAX=',F8.3,5X,'MIN=',F8.3,4X,'INIT=',F8.3)                   TUDMDA    423
 2040 FORMAT(1X,I4,4X,2A4,5X,A3,7X,'GAIN=',F8.3,7X,'T=',F8.3)           TUDMDA    424
 2050 FORMAT(1X,I4,4X,2A4,5X,A3,7X,'GAIN=',F8.3,6X,'T1=',F8.3           TUDMDA    425
     *,6X,'T2=',F8.3,5X,'MAX=',F8.3,5X,'MIN=',F8.3)                     TUDMDA    426
 2060 FORMAT(1X,I4,4X,2A4,5X,A3,9X,'T0=',F8.3)                          TUDMDA    427
 2070 FORMAT(1X,I4,4X,2A4,5X,A3)                                        TUDMDA    428
 2080 FORMAT(1X,I4,4X,2A4,5X,A3,7X,'GAIN=',F8.3,15X,'TIME DELAY='       TUDMDA    429
     *,F8.3)                                                            TUDMDA    430
 2090 FORMAT(1X,I4,4X,2A4,5X,A3,8X,'NAA=',I2,11X,'NBB=',I2)             TUDMDA    431
 2100 FORMAT(1X,'   A MATRIX: ',8F10.3)                                 TUDMDA    432
 2110 FORMAT(1X,'   B MATRIX: ',8F10.3)                                 TUDMDA    433
 2120 FORMAT(1X,'   C ARRAY: ',8F10.3)                                  TUDMDA    434
 2130 FORMAT(1X,'   D ARRAY: ',8F10.3)                                  TUDMDA    435
 2140 FORMAT(1X,'   X VALUES: ',6F8.3,/,1X,'   Y VALUES: ',6F8.3)       TUDMDA    436
 2150 FORMAT(1X,I4,4X,2A4,5X,A3,9X,'NS=',I2)                            TUDMDA    437
 2160 FORMAT(1X,'   DEN COEFS:           ',5F10.5)                      TUDMDA    438
 2170 FORMAT(1X,'   NUM COEFS: ',6F10.5)                                TUDMDA    439
 2180 FORMAT(1X,I4,4X,2A4,5X,A3,7X,'SAMT=',F8.3)                        TUDMDA    440
 2190 FORMAT(1X,'   A COEFS:           ',5F10.5,/,1X,'B COEFS: ',6F10.5)TUDMDA    441
 2200 FORMAT(1X,I4,4X,2A4,5X,A3,9X,'NX=',I2)                            TUDMDA    442
 2210 FORMAT(1X,'   X VALUES: ',11F8.3)                                 TUDMDA    443
 2220 FORMAT(1X,I4,4X,2A4,5X,A3,8X,'THR=',F8.3)                         TUDMDA    444
 2230 FORMAT(1X,'   X VALUES: ',5F10.3,/,1X,'   Y VALUES: ',5F10.3)     TUDMDA    445
 2240 FORMAT(1X,I4,4X,2A4,5X,A3,8X,'TCH=',F8.3,'     UUP=',F8.3,        TUDMDA    446
     *'     UDN=',F8.3,'      U0=',F8.3,/,34X,'N0=',I5,7X,'NMAX=',I5,   TUDMDA    447
     *7X,'NMIN=',I5)                                                    TUDMDA    448
 2250 FORMAT(1X,I4,4X,2A4,5X,A3,9X,'KE=',F8.3,6X,'TE=',F8.3             TUDMDA    449
     *,5X,'AEX=',F8.3,5X,'BEX=',F8.3,'   ETMIN=',F8.3)                  TUDMDA    450
 2260 FORMAT(1X,I4,4X,2A4,5X,A3,9X,'KE=',F8.3,6X,'TE=',F8.3             TUDMDA    451
     *,17X,'SE(VSAT)=',F10.5,8X,'SE(0.75*VSAT)=',F10.5,/,32X,'VSAT='    TUDMDA    452
     *,F8.3,3X,'ETMIN=',F8.3)                                           TUDMDA    453
 2270 FORMAT(1X,I4,4X,2A4,5X,A3,9X,'KE=',F8.3,6X,'TE=',F8.3,5X          TUDMDA    454
     *,5X,'AEX=',F10.5,3X,'BEX=',F10.5,4X,'KC=',F8.3,5X,'XDE=',F8.3     TUDMDA    455
     *,/,31X,'X''DE=',F8.3,3X,'VEMIN=',F8.3)                            TUDMDA    456
 2280 FORMAT(1X,I4,4X,2A4,5X,A3,9X,'KE=',F8.3,6X,'TE=',F8.3             TUDMDA    457
     *,17X,'SE(VSAT)=',F10.5,8X,'SE(0.75*VSAT)=',F10.5,/,32X,'VSAT='    TUDMDA    458
     *,F8.3,6X,'KC=',F8.3,5X,'XDE=',F8.3,3X,'X''DE=',F8.3               TUDMDA    459
     *,'   VEMIN=',F8.3)                                                TUDMDA    460
 2290 FORMAT(1X,I4,4X,2A4,5X,A3,9X,'KE=',F8.3,6X,'TE=',F8.3,5X,'AEX='   TUDMDA    461
     *,F10.5,3X,'BEX=',F10.5,4X,'KC=',F8.3,5X,'XDE=',F8.3               TUDMDA    462
     *,/,32X,'X''DE=',F8.3,'  VFEMAX=',F8.3,'   VEMIN=',F8.3            TUDMDA    463
     *,6X,'KR=',F8.3)                                                   TUDMDA    464
 2291 FORMAT(1X,I4,4X,2A4,5X,A3,9X,'KE=',F8.3,6X,'TE=',F8.3,5X,'AEX='   TUDMDA    465
     *,F10.5,3X,'BEX=',F10.5,4X,'KC=',F8.3,5X,'XDE=',F8.3               TUDMDA    466
     *,/,32X,'X''DE=',F8.3,'  VFEMAX=',F8.3,'   VEMIN=',F8.3)           TUDMDA    467
 2300 FORMAT(1X,I4,4X,2A4,5X,A3,9X,'KE=',F8.3,6X,'TE=',F8.3             TUDMDA    468
     *,17X,'SE(VSAT)=',F10.5,8X,'SE(0.75*VSAT)=',F10.5,/,32X,'VSAT='    TUDMDA    469
     *,F8.3,6X,'KC=',F8.3,5X,'XDE=',F8.3,'   X''DE=',F8.3,'  VFEMAX='   TUDMDA    470
     *,F8.3,'   VEMIN=',F8.3,/,34X,'KR=',F8.3)                          TUDMDA    471
 2301 FORMAT(1X,I4,4X,2A4,5X,A3,9X,'KE=',F8.3,6X,'TE=',F8.3             TUDMDA    472
     *,17X,'SE(VSAT)=',F10.5,8X,'SE(0.75*VSAT)=',F10.5,/,32X,'VSAT='    TUDMDA    473
     *,F8.3,6X,'KC=',F8.3,5X,'XDE=',F8.3,'   X''DE=',F8.3,'  VFEMAX='   TUDMDA    474
     *,F8.3,'   VEMIN=',F8.3)                                           TUDMDA    475
 2310 FORMAT(1X,I4,4X,2A4,5X,A3,9X,'KE=',F8.3,6X,'TE=',F8.3             TUDMDA    476
     *,'  EFDMAX=',F8.3,6X,'KP=',F8.3,6X,'KI=',F8.3,6X,'KC=',F8.3)      TUDMDA    477
 2320 FORMAT(1X,I4,4X,2A4,5X,A3,9X,'XL=',F8.3,6X,'KI=',F8.3             TUDMDA    478
     *,6X,'KP=',F8.3,4X,'TETP=',F8.3,'  DEG KC=',F8.3,'   EFMAX='       TUDMDA    479
     *,F8.3,/,31X,'VBMAX=',F8.3)                                        TUDMDA    480
 2330 FORMAT(1X,I4,4X,2A4,5X,A3,5X,'EFDMAX=',F8.3,'  EFDMIN=',F8.3)     TUDMDA    481
 2340 FORMAT(1X,I4,4X,2A4,5X,A3,9X,'KA=',F8.3,6X,'TA=',F8.3,3X          TUDMDA    482
     *,'VRMAX=',F8.3,'   VRMIN=',F8.3,5X,'ETV=',F8.3,6X,'KC=',F8.3)     TUDMDA    483
 2350 FORMAT(1X,I4,4X,2A4,5X,A3,9X,'KA=',F8.3,'   VAMAX=',F8.3,2X       TUDMDA    484
     *,'PHIMAX=',F8.3,'(RAD)',9X,'PHIMIN=',F8.3,'(RAD)',/,34X           TUDMDA    485
     *,'KC=',F8.3)                                                      TUDMDA    486
 2360 FORMAT(1X,I4,4X,2A4,5X,A3,6X,'VRMAX=',F8.3,'   VRMIN=',F8.3       TUDMDA    487
     *,6X,'KC=',F8.3)                                                   TUDMDA    488
 2370 FORMAT(1X,I4,4X,2A4,5X,A3,9X,'KV=',F8.3,'   VRMAX=',F8.3,3X       TUDMDA    489
     *,'VRMIN=',F8.3)                                                   TUDMDA    490
 2380 FORMAT(1X,I4,4X,2A4,5X,A3,8X,'THP=',F8.3,5X,'TRH=',F8.3,5X        TUDMDA    491
     *,'TIP=',F8.3,5X,'TLP=',F8.3,5X,'FHP=',F8.3,5X,'FIP=',F8.3,/       TUDMDA    492
     *,32X,'PMAX=',F8.3,5X,'KBR=',F8.3,'   FBRPR=',F8.3,6X,'KA='        TUDMDA    493
     *,F8.3,'   PDROP=',F8.3,4X,'RLMT =',F8.3)                          TUDMDA    494
 2390 FORMAT (4X,'   P1=',F6.3,5X,'A1=',F6.3,5X,'P2=',F6.3              TUDMDA    495
     *,5X,'A2=',F6.3,/)                                                 TUDMDA    496
 2400 FORMAT (1X,'   C.V. FLOW AREA-POSITION CHARACTERISTIC :',/)       TUDMDA    497
 2410 FORMAT (1X,'   I.V. FLOWAREA-POSITION CHARACTRISTIC :',/)         TUDMDA    498
 2420 FORMAT(1X,I4,4X,2A4,5X,A3,9X,'T4=',F8.3,'(SEC) T5=',F8.3          TUDMDA    499
     *,'(SEC) T6=',F8.3,'(SEC) T7=',F8.3,'(SEC)',16X,'PMAX=',F8.3,/     TUDMDA    500
     *,34X,'K2=',F8.3,6X,'K3=',F8.3,6X,'K4=',F8.3,3X,'LPBUS=',I5,       TUDMDA    501
     *8X,'GID= ',A4)                                                    TUDMDA    502
 2421 FORMAT(1X,I4,4X,2A4,5X,A3,9X,'T4=',F8.3,'(SEC) T5=',F8.3          TUDMDA    503
     *,'(SEC) T6=',F8.3,'(SEC) T7=',F8.3,'(SEC)',16X,'PMAX=',F8.3,/     TUDMDA    504
     *,34X,'K2=',F8.3,6X,'K3=',F8.3,6X,'K4=',F8.3,3X,'LPBUS=',A12,      TUDMDA    505
     *1X,'GID= ',A4)                                                    TUDMDA    506
 2430 FORMAT(I5,4X,2A4,5X,A3,9X,'TW=',F8.3,'(SEC) TG=',F8.3             TUDMDA    507
     *,'(SEC)',16X,'HEAD=',F8.3,5X,'GFL=',F8.3,5X,'GNL=',F8.3,/         TUDMDA    508
     *,33X,'PFL=',F8.3,6X,'TE=',F8.3,6X,'TC=',F8.3,6X,'TT=',F8.3,       TUDMDA    509
     *6X,'KP=',F8.3,/,34X,'KC=',F8.3,6X,'KT=',F8.3)                     TUDMDA    510
 2440 FORMAT(1X,I4,4X,2A4,5X,A3,9X,'TW=',F8.3,'(SEC)  K=',F8.3          TUDMDA    511
     *,6X,'K1=',F8.3,6X,'DT=',F8.3,4X,'GMAX=',F8.3,4X,'GMIN=',F8.3,/    TUDMDA    512
     *,32X,'PMAX=',F8.3)                                                TUDMDA    513
 2450 FORMAT(1X,I4,4X,2A4,5X,A3,9X,'UH=',F8.3,'(PU)  UM=',F8.3          TUDMDA    514
     *,'(PU)  UL=',F8.3,'(PU)  XL=',F8.3,'(PU)  TF=',F8.3)              TUDMDA    515
 2460 FORMAT(1X,I4,4X,2A4,5X,A3,8X,'DVH=',F8.3,5X,'DVL=',F8.3,6X        TUDMDA    516
     *,'KH=',F8.3,6X,'KL=',F8.3,6X,'VH=',F8.3,6X,'VL=',F8.3)            TUDMDA    517
 2470 FORMAT(1X,I4,4X,2A4,5X,A3,9X,'QL=',F9.2,'(MVA)',17X,'QC='         TUDMDA    518
     *,F9.2,'(MVA)')                                                    TUDMDA    519
 2471 FORMAT(1X,I4,4X,2A4,5X,A3,9X,'QL=',F9.2,'(MVA)',17X,'QC='         TUDMDA    520
     *,F9.2,'(MVA)',/,35X,'A=',F8.3,7X,'B=',F8.3,5X,'VCO=',F8.3)        TUDMDA    521
 2480 FORMAT(1X,I4,4X,2A4,5X,A3,9X,'QL=',F9.2,'(MVA)',17X,'QC='         TUDMDA    522
     *,F9.2,'(MVA)',17X,'TR=',F8.3,6X,'TC=',F8.3,/,33X,'TCH='           TUDMDA    523
     *,F8.3,5X,'NCS=',I1,11X,'SOUT=',F8.3,5X,'SIN=',F8.3)               TUDMDA    524
 2490 FORMAT(1X,I4,4X,2A4,5X,A3,10X,'T=',F8.3,'(SEC)',19X,'H=',F8.3,    TUDMDA    525
     */,34X,'NS=',I5,23X,'IPATH=',I5)                                   TUDMDA    526
 2500 FORMAT(1X,I4,4X,2A4,5X,A3,9X,'MY=',F9.2,'(MVA)',18X,'T='          TUDMDA    527
     *,F8.3,'(SEC)',19X,'H=',F8.3,/,34X,'NS=',I5,23X,'IPATH=',I5)       TUDMDA    528
 2510 FORMAT(1X,I4,4X,2A4,5X,A3,9X,'PT=',F9.2,'(MW)',19X,'T=',F8.3      TUDMDA    529
     *,'(SEC)',19X,'H=',F8.3,/,34X,'NS=',I5,23X,'IPATH=',I5)            TUDMDA    530
 2511 FORMAT(1X,I4,4X,2A4,5X,A3,9X,'QT=',F9.2,'(MVA)',18X,'T='          TUDMDA    531
     *,F8.3,'(SEC)',19X,'H=',F8.3,/,34X,'NL=',I5,26X,'NC=',I5,23X,      TUDMDA    532
     *'IPATH=',I5)                                                      TUDMDA    533
 2512 FORMAT(1X,I4,4X,2A4,5X,A3,9X,'%X=',F9.2,23X,'T='                  TUDMDA    534
     *,F8.3,'(SEC)',19X,'H=',F8.3,/,34X,'NL=',I5,26X,'NC=',I5,23X,      TUDMDA    535
     *'IPATH=',I5)                                                      TUDMDA    536
 2513 FORMAT(1X,I4,4X,2A4,5X,A3,10X,'A=',F8.3,7X,'B=',F8.3)             TUDMDA    537
 2514 FORMAT(1X,I4,4X,2A4,5X,A3,10X,'R=',F8.3,7X,'X=',F8.3,             TUDMDA    538
     *6X,'NB=',I5,9X,'NL=',I5,7X,'MODE=',I5)                            TUDMDA    539
 2520 FORMAT(1X,I4,4X,2A4,5X,A3,9X,'K1=',F8.3,6X,'T1=',F8.3,6X          TUDMDA    540
     *,'T2=',F8.3,6X,'K2=',F8.3,6X,'K3=',F8.3,'   VMAX1=',F8.3          TUDMDA    541
     *,/,29X,'  VMIN1=',F8.3,'   VMAX2=',F8.3,'   VMIN2=',F8.3)         TUDMDA    542
 2530 FORMAT(1X,I4,4X,2A4,5X,A3,7X,'GAIN=',F8.3)                        TUDMDA    543
 2540 FORMAT(1X,I4,4X,2A4,5X,A3,7X,'GAIN=',F8.3,4X,'INIT=',F8.3)        TUDMDA    544
 2550 FORMAT(1X,I4,4X,2A4,5X,A3,7X,'GAIN=',F8.3,7X,'T=',F8.3            TUDMDA    545
     *,4X,'INIT=',F8.3)                                                 TUDMDA    546
 2560 FORMAT(1X,I4,4X,2A4,5X,A3,7X,'GAIN=',F8.3,6X,'T1=',F8.3           TUDMDA    547
     *,6X,'T2=',F8.3)                                                   TUDMDA    548
 2570 FORMAT(I5,4X,2A4,5X,A3,9X,'TW=',F8.3,'(SEC)  K=',F8.3,6X          TUDMDA    549
     *,'K1=',F8.3,6X,'DT=',F8.3,4X,'PMAX=',F8.3)                        TUDMDA    550
C                                                                       TUDMDA    551
C  ------------------------------------------------                     TUDMDA    552
C                                                                       TUDMDA    553
      ENTRY PUDMIN(IUX,JEE)                                             TUDMDA    554
CD                                                                      TUDMDA    555
CD    TO TABULATE INITIAL CONDITIONS OF USER DEFINED MODELS.            TUDMDA    556
CD                                                                      TUDMDA    557
      NRBUS=IDDAT(JEE)                                                  TUDMDA    558
      JE2=JEE+3*NRBUS+1                                                 TUDMDA    559
      NRLIN=IDDAT(JE2)                                                  TUDMDA    560
      JE3=JE2+4*NRLIN+1                                                 TUDMDA    561
      NUDB=IDDAT(JE3)                                                   TUDMDA    562
      JE4=JE3+17*NUDB+1                                                 TUDMDA    563
C                                                                       TUDMDA    564
      IF(NRBUS.NE.0) THEN                                               TUDMDA    565
         WRITE(IUX,3100)                                                TUDMDA    566
         DO 310 I=1,NRBUS                                               TUDMDA    567
         IBUS=IDDAT(JEE+3*I-2)                                          TUDMDA    568
         M3=IBUS*3                                                      TUDMDA    569
         WRITE(IUX,3110) I,NOLD(IBUS),INAME(M3-2),INAME(M3-1),INAME(M3) TUDMDA    570
     &   ,VALIUD(NVALIU+20+I),VALIUD(NVALIU+30+I)                       TUDMDA    571
  310    CONTINUE                                                       TUDMDA    572
      ENDIF                                                             TUDMDA    573
      IF(NRLIN.NE.0) THEN                                               TUDMDA    574
         WRITE(IUX,3120) BASPC                                          TUDMDA    575
         NR4=JE2-4                                                      TUDMDA    576
         DO 320 I=1,NRLIN                                               TUDMDA    577
         NR4=NR4+4                                                      TUDMDA    578
         IBUS1N=IDDAT(NR4+1)                                            TUDMDA    579
         IBUS1O=NOLD(IBUS1N)                                            TUDMDA    580
         IBUS2O=IDDAT(NR4+2)                                            TUDMDA    581
         IBUS2N=NNEW(IBUS2O)                                            TUDMDA    582
         JCKID=IDDAT(NR4+3)                                             TUDMDA    583
         KCKT(1:2)=CKID(3:4)                                            TUDMDA    584
         M3=IBUS1N*3                                                    TUDMDA    585
         N3=IBUS2N*3                                                    TUDMDA    586
         WRITE(IUX,3130) I,IBUS1O,INAME(M3-2),INAME(M3-1)               TUDMDA    587
     &   ,INAME(M3),IBUS2O,INAME(N3-2),INAME(N3-1),INAME(N3),KCKT       TUDMDA    588
     &   ,VALIUD(NVALIU+40+I),VALIUD(NVALIU+50+I),VALIUD(NVALIU+60+I)   TUDMDA    589
     &   ,VALIUD(NVALIU+70+I)                                           TUDMDA    590
  320    CONTINUE                                                       TUDMDA    591
      ENDIF                                                             TUDMDA    592
C                                                                       TUDMDA    593
      WRITE(IUX,3070) NUDB                                              TUDMDA    594
      WRITE(IUX,3210)                                                   TUDMDA    595
C                                                                       TUDMDA    596
      K=0                                                               TUDMDA    597
      DO 330 J=1,NUDB                                                   TUDMDA    598
         K=K+1                                                          TUDMDA    599
         I=IDDAT(JE4+J)                                                 TUDMDA    600
         JEB=JE3+(I-1)*17                                               TUDMDA    601
         NBINT1=IDDAT(JEB+1)                                            TUDMDA    602
         NBINT2=IDDAT(JEB+17)                                           TUDMDA    603
         LTYP=IDDAT(JEB+2)                                              TUDMDA    604
         BLTYP=BTYPE(LTYP)                                              TUDMDA    605
         IC(K)=I                                                        TUDMDA    606
         CNAM1(K)=BLNAM1                                                TUDMDA    607
         CNAM2(K)=BLNAM2                                                TUDMDA    608
         CLTYP(K)=BLTYP                                                 TUDMDA    609
         RVALUE(K)=VALOUD(NVALOU+I)                                     TUDMDA    610
         IF(K.EQ.3)THEN                                                 TUDMDA    611
            WRITE(IUX,3220) (IC(I),CNAM1(I),CNAM2(I),CLTYP(I)           TUDMDA    612
     *            ,RVALUE(I),I=1,3)                                     TUDMDA    613
            K=0                                                         TUDMDA    614
         ENDIF                                                          TUDMDA    615
  330 CONTINUE                                                          TUDMDA    616
      IF(K.NE.0) WRITE(IUX,3220) (IC(I),CNAM1(I),CNAM2(I)               TUDMDA    617
     *                 ,CLTYP(I),RVALUE(I),I=1,K)                       TUDMDA    618
      NVALIU=NVALIU+80                                                  TUDMDA    619
      NVALOU=NVALOU+NXUDB                                               TUDMDA    620
C                                                                       TUDMDA    621
      RETURN                                                            TUDMDA    622
C                                                                       TUDMDA    623
 3100 FORMAT(/,5X,                                                      TUDMDA    624
     &'REMOTE BUS  BUS# BUS NAME     VOLTAGE(PU) ANGLE(RAD)',/,5X,      TUDMDA    625
     &'---------- ----- ------------ ----------- ----------')           TUDMDA    626
 3110 FORMAT(13X,I2,1X,I5,1X,3A4,5X,F7.3,4X,F7.3)                       TUDMDA    627
 3120 FORMAT(/,5X,'REMOTE LINE BASE= ',F7.1,' MVA',/,5X,                TUDMDA    628
     &'REMOTE LINE FR BUS BUS NAME     TO BUS BUS NAME     CID',        TUDMDA    629
     &' CURRENT(PU)  MW(PU)  MX(PU) POWER FACTOR',/,5X,                 TUDMDA    630
     &'----------- ------ ------------ ------ ------------ ---',        TUDMDA    631
     &' ----------- ------- ------- ------------')                      TUDMDA    632
 3130 FORMAT(14X,I2,2X,I5,1X,3A4,2X,I5,1X,3A4,2X,A2,5X,F7.3,1X,F7.3,    TUDMDA    633
     &1X,F7.3,6X,F7.3)                                                  TUDMDA    634
 3070 FORMAT(/,5X,' USER DEFINED BLOCKS IN SOLUTION ORDER ',/,          TUDMDA    635
     &'      -------------------------------------',//,                 TUDMDA    636
     &' NUMBER OF BLOCKS =',I2,/)                                       TUDMDA    637
 3210 FORMAT(3(' BLOCK# BLOCK NAME BLOCK TYPE OUTPUT VALUE'),/          TUDMDA    638
     *,3(' ------ ---------- ---------- ------------'))                 TUDMDA    639
 3220 FORMAT(3(I5,4X,2A4,6X,A3,8X,F8.3))                                TUDMDA    640
      END                                                               TUDMDA    641
